
CephFS - Bug #42938

mds: free heap memory may grow too large for some workloads

11/21/2019 06:04 PM - Patrick Donnelly

Status: Resolved % Done: 0%

Priority: Urgent   

Assignee: Patrick Donnelly   

Category:    

Target version: v15.0.0   

Source: Development ceph-qa-suite:  

Tags:  Component(FS): MDS

Backport: nautilus,mimic Labels (FS):  

Regression: No Pull request ID: 31793

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Affected Versions:    

Description

MDS should periodically release heap free space to the kernel as part of cache trimming.

Related issues:

Copied to CephFS - Backport #42942: mimic: mds: free heap memory may grow too... Rejected

Copied to CephFS - Backport #42943: nautilus: mds: free heap memory may grow ... Resolved

History

#1 - 11/21/2019 06:27 PM - Patrick Donnelly

- Pull request ID set to 31793

#2 - 11/22/2019 04:02 AM - Patrick Donnelly

- Status changed from In Progress to Pending Backport

#3 - 11/22/2019 04:03 AM - Patrick Donnelly

- Copied to Backport #42942: mimic: mds: free heap memory may grow too large for some workloads added

#4 - 11/22/2019 04:03 AM - Patrick Donnelly

- Copied to Backport #42943: nautilus: mds: free heap memory may grow too large for some workloads added

#5 - 05/11/2020 02:29 PM - Nathan Cutler

- Status changed from Pending Backport to Resolved

While running with --resolve-parent, the script "backport-create-issue" noticed that all backports of this issue are in status "Resolved" or "Rejected".
